use serde::{Deserialize, Serialize};

use crate::model::{ModOption, SelectionType};

#[derive(Debug, Deserialize, Serialize)]
#[serde(rename_all = "PascalCase")]
pub struct ModGroup {
    pub group_name: String,
    pub selection_type: SelectionType,
    pub option_list: Vec<ModOption>,
}
